package kcg.faics.equip.vo;

import java.util.Date;

/**
 * 장비 사용실적 결재내역 VO.
 * 
 * @author kimnomin
 *
 */
public class ApproveVO {
	/**
	 * 식별자.
	 */
	private int seq;
	/**
	 * 결재일.
	 */
	private Date checkDate;
	/**
	 * 관리기관(경찰서).
	 */
	private String police;
	/**
	 * 관리기관명(경찰서).
	 */
	private String policeStr;
	/**
	 * 년도.
	 */
	private String year;
	/**
	 * 분기.
	 */
	private String quater;
	/**
	 * 결재권자 소속.
	 */
	private String place1;
	/**
	 * 결재권자 소속명칭.
	 */
	private String place1Str;
	/**
	 * 결재권자 계급.
	 */
	private String position;
	/**
	 * 결재권자 계급명칭.
	 */
	private String positionStr;
	/**
	 * 결재권자 성명.
	 */
	private String name;
	/**
	 * 결재권자ID.
	 */
	private String userId;
	/**
	 * 실제결재자ID.
	 */
	private String proxyId;
	/**
	 * 검토의견.
	 */
	private String message;

	/**
	 * @return the seq
	 */
	public final int getSeq() {
		return seq;
	}

	/**
	 * @param seq
	 *            the seq to set
	 */
	public final void setSeq(final int seq) {
		this.seq = seq;
	}

	/**
	 * @return the checkDate
	 */
	public final Date getCheckDate() {
		return checkDate;
	}

	/**
	 * @param checkDate
	 *            the checkDate to set
	 */
	public final void setCheckDate(final Date checkDate) {
		this.checkDate = checkDate;
	}

	/**
	 * @return the police
	 */
	public final String getPolice() {
		return police;
	}

	/**
	 * @param police
	 *            the police to set
	 */
	public final void setPolice(final String police) {
		this.police = police;
	}

	/**
	 * @return the policeStr
	 */
	public final String getPoliceStr() {
		return policeStr;
	}

	/**
	 * @param policeStr
	 *            the policeStr to set
	 */
	public final void setPoliceStr(final String policeStr) {
		this.policeStr = policeStr;
	}

	/**
	 * @return the year
	 */
	public final String getYear() {
		return year;
	}

	/**
	 * @param year
	 *            the year to set
	 */
	public final void setYear(final String year) {
		this.year = year;
	}

	/**
	 * @return the quater
	 */
	public final String getQuater() {
		return quater;
	}

	/**
	 * @param quater
	 *            the quater to set
	 */
	public final void setQuater(final String quater) {
		this.quater = quater;
	}

	/**
	 * @return the place1
	 */
	public final String getPlace1() {
		return place1;
	}

	/**
	 * @param place1
	 *            the place1 to set
	 */
	public final void setPlace1(final String place1) {
		this.place1 = place1;
	}

	/**
	 * @return the place1Str
	 */
	public final String getPlace1Str() {
		return place1Str;
	}

	/**
	 * @param place1Str
	 *            the place1Str to set
	 */
	public final void setPlace1Str(final String place1Str) {
		this.place1Str = place1Str;
	}

	/**
	 * @return the position
	 */
	public final String getPosition() {
		return position;
	}

	/**
	 * @param position
	 *            the position to set
	 */
	public final void setPosition(final String position) {
		this.position = position;
	}

	/**
	 * @return the positionStr
	 */
	public final String getPositionStr() {
		return positionStr;
	}

	/**
	 * @param positionStr
	 *            the positionStr to set
	 */
	public final void setPositionStr(final String positionStr) {
		this.positionStr = positionStr;
	}

	/**
	 * @return the name
	 */
	public final String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public final void setName(final String name) {
		this.name = name;
	}

	/**
	 * @return the userId
	 */
	public final String getUserId() {
		return userId;
	}

	/**
	 * @param userId
	 *            the userId to set
	 */
	public final void setUserId(final String userId) {
		this.userId = userId;
	}

	/**
	 * @return the proxyId
	 */
	public final String getProxyId() {
		return proxyId;
	}

	/**
	 * @param proxyId
	 *            the proxyId to set
	 */
	public final void setProxyId(final String proxyId) {
		this.proxyId = proxyId;
	}

	/**
	 * @return the message
	 */
	public final String getMessage() {
		return message;
	}

	/**
	 * @param message
	 *            the message to set
	 */
	public final void setMessage(final String message) {
		this.message = message;
	}

}
